<?php
/**
 * Upgrade to pro options
 */
function mediquip_plus_upgrade_pro_options( $wp_customize ) {

	$wp_customize->add_section(
		'upgrade_premium',
		array(
			'title'    => __( 'About Mediquiq Plus', 'mediquip-plus' ),
			'priority' => 1,
		)
	);

	class mediquip_plus_Pro_Button_Customize_Control extends WP_Customize_Control {
		public $type = 'upgrade_premium';

		function render_content() {
			?>
			<div class="pro_info">
				<ul>
					<li><a class="upgrade-to-pro" href="<?php echo esc_url( 'https://www.theclassictemplates.com/wp-themes/mediquip-plus/' ); ?>" target="_blank"><i class="dashicons dashicons-cart"></i><?php esc_html_e( 'Upgrade Pro', 'mediquip-plus' ); ?> </a></li>

					<li><a class="free-pro" href="<?php echo esc_url( 'https://www.theclassictemplates.com/documentation/mediquip-plus/' ); ?>" target="_blank"><i class="dashicons dashicons-visibility"></i><?php esc_html_e( 'Theme Documentation', 'mediquip-plus' ); ?> </a></li>

					<li><a class="free-pro" href="<?php echo esc_url( 'https://theclassictemplates.com/demo/mediquip-plus/' ); ?>" target="_blank"><i class="dashicons dashicons-awards"></i><?php esc_html_e( 'Premium Demo', 'mediquip-plus' ); ?> </a></li>

					<li><a class="support" href="<?php echo esc_url( 'https://wordpress.org/support/theme/mediquip-plus/' ); ?>" target="_blank"><i class="dashicons dashicons-lightbulb"></i><?php esc_html_e( 'Support Forum', 'mediquip-plus' ); ?> </a></li>

					<li><a class="rate-us" href="<?php echo esc_url( 'https://wordpress.org/support/theme/mediquip-plus/reviews/' ); ?>" target="_blank"><i class="dashicons dashicons-star-filled"></i><?php esc_html_e( 'Rate Us', 'mediquip-plus' ); ?> </a></li>
				</ul>
			</div>
			<?php
		}
	}

	$wp_customize->add_setting(
		'pro_info_buttons',
		array(
			'capability'        => 'edit_theme_options',
			'sanitize_callback' => 'mediquip_plus_sanitize_text',
		)
	);

	$wp_customize->add_control(
		new mediquip_plus_Pro_Button_Customize_Control(
			$wp_customize,
			'pro_info_buttons',
			array(
				'section' => 'upgrade_premium',
			)
		)
	);
}
add_action( 'customize_register', 'mediquip_plus_upgrade_pro_options' );
